Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_generator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_generator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_generator.F90	(revision 5158)
@@ -152,5 +152,5 @@
 
     total_cloud_cover = cum_cloud_cover(nlev);
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
       overhang(jlev) = cum_cloud_cover(jlev+1)-cum_cloud_cover(jlev)
     end do
@@ -166,10 +166,10 @@
       ! Find range of cloudy layers
       jlev = 1
-      do while (frac(jlev) <= 0.0_jprb) 
+      DO while (frac(jlev) <= 0.0_jprb)
         jlev = jlev + 1
       end do
       ibegin = jlev
       iend = jlev
-      do jlev = jlev+1,nlev
+      DO jlev = jlev+1,nlev
         if (frac(jlev) > 0.0_jprb) then
           iend = jlev
@@ -180,5 +180,5 @@
       overlap_param_inhom = overlap_param
 
-      do jlev = ibegin,iend-1
+      DO jlev = ibegin,iend-1
         if (overlap_param(jlev) > 0.0_jprb) then
           overlap_param_inhom(jlev) &
@@ -208,10 +208,10 @@
         
         ! Loop over ng columns
-        do jg = 1,ng
+        DO jg = 1,ng
           ! Find the cloud top height corresponding to the current
           ! random number, and store in itrigger
           trigger = rand_top(jg) * total_cloud_cover
           jlev = ibegin
-          do while (trigger > cum_cloud_cover(jlev) .and. jlev < iend)
+          DO while (trigger > cum_cloud_cover(jlev) .and. jlev < iend)
             jlev = jlev + 1
           end do
@@ -328,5 +328,5 @@
     ! Loop from the layer below the local cloud top down to the
     ! bottom-most cloudy layer
-    do jlev = itrigger+1,iend+1
+    DO jlev = itrigger+1,iend+1
       do_fill_od_scaling = .false.
       if (jlev <= iend) then
@@ -367,5 +367,5 @@
 
         ! Loop through the sequence of cloudy layers
-        do jcloud = 2,n_layers_to_scale
+        DO jcloud = 2,n_layers_to_scale
           ! Use second random number, and inhomogeneity overlap
           ! parameter, to decide whether the first random number
@@ -464,5 +464,5 @@
     ! Loop from the layer below the local cloud top down to the
     ! bottom-most cloudy layer
-    do jlev = itrigger+1,iend
+    DO jlev = itrigger+1,iend
       iy = iy+1
       if (is_cloudy(jlev-1)) then
@@ -495,5 +495,5 @@
         
     ! Loop through the sequence of cloudy layers
-    do jcloud = 2,n_layers_to_scale
+    DO jcloud = 2,n_layers_to_scale
       ! Use second random number, and inhomogeneity overlap
       ! parameter, to decide whether the first random number
@@ -675,5 +675,5 @@
 
     ! Loop down through layers starting at the first cloudy layer
-    do jlev = ibegin,iend
+    DO jlev = ibegin,iend
 
       if (is_any_cloud(jlev)) then
@@ -681,5 +681,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-        do jg = 1,ng
+        DO jg = 1,ng
           ! The intention is that all these operations are vectorizable,
           ! since all are vector operations on vectors of length ng...
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_optics.F90	(revision 5158)
@@ -294,6 +294,6 @@
     end if
 
-    do jlev = 1,nlev
-      do jcol = istartcol,iendcol
+    DO jlev = 1,nlev
+      DO jcol = istartcol,iendcol
         ! Only do anything if cloud is present (assume that
         ! cloud%crop_cloud_fraction has already been called)
@@ -463,5 +463,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-            do jb = 1, config%n_bands_lw
+            DO jb = 1, config%n_bands_lw
               od_lw_cloud(jb,jlev,jcol) = od_lw_liq(jb) + od_lw_ice(jb)
               if (scat_od_lw_liq(jb)+scat_od_lw_ice(jb) > 0.0_jprb) then
@@ -481,5 +481,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-            do jb = 1, config%n_bands_lw
+            DO jb = 1, config%n_bands_lw
               od_lw_cloud(jb,jlev,jcol) = od_lw_liq(jb) - scat_od_lw_liq(jb) &
                     &                   + od_lw_ice(jb) - scat_od_lw_ice(jb)
@@ -488,5 +488,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-          do jb = 1, config%n_bands_sw
+          DO jb = 1, config%n_bands_sw
             od_sw_cloud(jb,jlev,jcol) = od_sw_liq(jb) + od_sw_ice(jb)
             g_sw_cloud(jb,jlev,jcol) = (g_sw_liq(jb) * scat_od_sw_liq(jb) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloudless_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloudless_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloudless_lw.F90	(revision 5158)
@@ -95,9 +95,9 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
 
       ! Compute the reflectance and transmittance of all layers,
       ! neglecting clouds
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (config%do_lw_aerosol_scattering) then
           ! Scattering case: first compute clear-sky reflectance,
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloudless_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloudless_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloudless_sw.F90	(revision 5158)
@@ -103,5 +103,5 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       ! Only perform calculation if sun above the horizon
       if (single_level%cos_sza(jcol) > 0.0_jprb) then
@@ -114,5 +114,5 @@
           ! Delta-Eddington scaling has already been performed to the
           ! aerosol part of od, ssa and g
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             call calc_two_stream_gammas_sw(ng, cos_sza, &
                  &  ssa(:,jlev,jcol), g(:,jlev,jcol), &
@@ -128,5 +128,5 @@
         else
           ! Apply delta-Eddington scaling to the aerosol-gas mixture
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             od_total  =  od(:,jlev,jcol)
             ssa_total = ssa(:,jlev,jcol)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_config.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_config.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_config.F90	(revision 5158)
@@ -1556,5 +1556,5 @@
     ! contains the weights of interest.  We now find the non-zero weights
     nweights = 0
-    do jband = 1,size(mapping,2)
+    DO jband = 1,size(mapping,2)
       if (mapping(2,jband) > 0.0_jprb) then
         nweights = nweights+1
@@ -1573,9 +1573,9 @@
            &  wavenumber2, ' cm-1):'
       if (this%do_cloud_aerosol_per_sw_g_point) then
-        do jband = 1, nweights
+        DO jband = 1, nweights
           write(nulout, '(a,i0,a,f8.4)') '  Shortwave g point ', iband(jband), ': ', weight(jband)
         end do
       else
-        do jband = 1, nweights
+        DO jband = 1, nweights
           wavenumber1_band = this%gas_optics_sw%spectral_def%wavenumber1_band(iband(jband))
           wavenumber2_band = this%gas_optics_sw%spectral_def%wavenumber2_band(iband(jband))
@@ -1722,5 +1722,5 @@
     ! Count the number of albedo/emissivity intervals
     ninterval = 0
-    do jint = 1,NMaxAlbedoIntervals
+    DO jint = 1,NMaxAlbedoIntervals
       if (this%i_sw_albedo_index(jint) > 0) then
         ninterval = jint
@@ -1776,5 +1776,5 @@
         write(nulout, '(a,i0,a)',advance='no') 'Mapping from ', size(this%i_albedo_from_band_sw), &
              &  ' shortwave intervals to albedo intervals:'
-        do jband = 1,size(this%i_albedo_from_band_sw)
+        DO jband = 1,size(this%i_albedo_from_band_sw)
           write(nulout,'(a,i0)',advance='no') ' ', this%i_albedo_from_band_sw(jband)
         end do
@@ -1800,5 +1800,5 @@
     ! Count the number of albedo/emissivity intervals
     ninterval = 0
-    do jint = 1,NMaxAlbedoIntervals
+    DO jint = 1,NMaxAlbedoIntervals
       if (this%i_lw_emiss_index(jint) > 0) then
         ninterval = jint
@@ -1854,5 +1854,5 @@
         write(nulout, '(a,i0,a)',advance='no') 'Mapping from ', size(this%i_emiss_from_band_lw), &
              &  ' longwave intervals to emissivity intervals:'
-        do jband = 1,size(this%i_emiss_from_band_lw)
+        DO jband = 1,size(this%i_emiss_from_band_lw)
           write(nulout,'(a,i0)',advance='no') ' ', this%i_emiss_from_band_lw(jband)
         end do
@@ -1884,5 +1884,5 @@
       is_not_found = .true.
 
-      do jc = 0,size(enum_str)-1
+      DO jc = 0,size(enum_str)-1
         if (trim(str) == trim(enum_str(jc))) then
           icode = jc
@@ -1894,5 +1894,5 @@
         write(nulerr,'(a,a,a,a,a)',advance='no') '*** Error: ', trim(var_name), &
              &  ' must be one of: "', enum_str(0), '"'
-        do jc = 1,size(enum_str)-1
+        DO jc = 1,size(enum_str)-1
           write(nulerr,'(a,a,a)',advance='no') ', "', trim(enum_str(jc)), '"'
         end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ecckd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ecckd.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ecckd.F90	(revision 5158)
@@ -186,5 +186,5 @@
     istart = 1
     this%i_gas_mapping = 0
-    do jgas = 1, this%ngas
+    DO jgas = 1, this%ngas
       if (jgas < this%ngas) then
         inext = istart + scan(constituent_id(istart:nchar), ' ')
@@ -194,5 +194,5 @@
       ! Find gas code
       i_gas_code = 0
-      do jjgas = 1, NMaxGases
+      DO jjgas = 1, NMaxGases
         if (constituent_id(istart:inext-2) == trim(GasLowerCaseName(jjgas))) then
           i_gas_code = jjgas
@@ -239,5 +239,5 @@
          &  this%ntemp, ' temperatures, ', this%nplanck, ' planck-function entries'
     write(nulout, '(a)') '  Gases:'
-    do jgas = 1,this%ngas
+    DO jgas = 1,this%ngas
       if (this%single_gas(jgas)%i_gas_code > 0) then
         write(nulout, '(a,a,a)', advance='no') '    ', &
@@ -326,9 +326,9 @@
     global_multiplier = 1.0_jprb / (AccelDueToGravity * 0.001_jprb * AirMolarMass)
 
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
 
       log_pressure_fl = log(0.5_jprb * (pressure_hl(jcol,1:nlev)+pressure_hl(jcol,2:nlev+1)))
 
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         ! Find interpolation points in pressure
         pindex1 = (log_pressure_fl(jlev)-this%log_pressure1) &
@@ -356,5 +356,5 @@
       optical_depth_fl(:,:,jcol) = 0.0_jprb
       
-      do jgas = 1,this%ngas
+      DO jgas = 1,this%ngas
 
         associate (single_gas => this%single_gas(jgas))
@@ -367,5 +367,5 @@
             multiplier = simple_multiplier * mole_fraction_fl(jcol,:,igascode)
 
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &        + (multiplier(jlev)*tw1(jlev)) * (pw1(jlev) * molar_abs(:,ip1(jlev),it1(jlev)) &
@@ -379,5 +379,5 @@
             multiplier = simple_multiplier  * (mole_fraction_fl(jcol,:,igascode) &
                  &                            - single_gas%reference_mole_frac)
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &        + (multiplier(jlev)*tw1(jlev)) * (pw1(jlev) * molar_abs(:,ip1(jlev),it1(jlev)) &
@@ -390,5 +390,5 @@
             ! Composite gases
             molar_abs => this%single_gas(jgas)%molar_abs
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &  + (simple_multiplier(jlev)*tw1(jlev)) * (pw1(jlev) * molar_abs(:,ip1(jlev),it1(jlev)) &
@@ -402,5 +402,5 @@
             molar_abs_conc => this%single_gas(jgas)%molar_abs_conc
             mole_frac1 = exp(single_gas%log_mole_frac1)
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               ! Take care of mole_fraction == 0
               log_conc = log(max(mole_fraction_fl(jcol,jlev,igascode), mole_frac1))
@@ -419,5 +419,5 @@
               !      &                +tw2 * (pw1 * molar_abs_conc(:,ip1,it1+1,ic1+1) &
               !      &                       +pw2 * molar_abs_conc(:,ip1+1,it1+1,ic1+1)))
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &  + (simple_multiplier(jlev) * mole_fraction_fl(jcol,jlev,igascode)) * ( &
@@ -442,5 +442,5 @@
       ! Rayleigh scattering
       if (this%is_sw .and. present(rayleigh_od_fl)) then
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           rayleigh_od_fl(:,jlev,jcol) = global_multiplier &
                &  * (pressure_hl(jcol,jlev+1) - pressure_hl(jcol,jlev)) * this%rayleigh_molar_scat
@@ -469,5 +469,5 @@
     integer    :: it1, jt
 
-    do jt = 1,nt
+    DO jt = 1,nt
       tindex1 = (temperature(jt) - this%temperature1_planck) &
            &   * (1.0_jprb / this%d_temperature_planck)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ecckd_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ecckd_interface.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ecckd_interface.F90	(revision 5158)
@@ -252,5 +252,5 @@
 
       ! Calculate the Planck function for each g point
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         call config%gas_optics_lw%calc_planck_function(nlev+1, &
              &  thermodynamics%temperature_hl(jcol,:), planck_hl(:,:,jcol))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_flux.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_flux.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_flux.F90	(revision 5158)
@@ -370,5 +370,5 @@
              &               config%i_band_from_reordered_g_sw, &
              &               this%sw_dn_surf_band, istartcol, iendcol)
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
           this%sw_dn_surf_band(:,jcol) &
                &  = this%sw_dn_surf_band(:,jcol) &
@@ -376,5 +376,5 @@
         end do
       else
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
           call indexed_sum(this%sw_dn_direct_surf_g(:,jcol), &
                &           config%i_band_from_reordered_g_sw, &
@@ -397,5 +397,5 @@
                &               config%i_band_from_reordered_g_sw, &
                &               this%sw_dn_surf_clear_band, istartcol, iendcol)
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             this%sw_dn_surf_clear_band(:,jcol) &
                  &  = this%sw_dn_surf_clear_band(:,jcol) &
@@ -403,5 +403,5 @@
           end do
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%sw_dn_direct_surf_clear_g(:,jcol), &
                  &           config%i_band_from_reordered_g_sw, &
@@ -433,5 +433,5 @@
                &               this%sw_dn_diffuse_surf_canopy, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%sw_dn_direct_surf_g(:,jcol), &
                  &           config%i_albedo_from_band_sw(config%i_band_from_reordered_g_sw), &
@@ -449,6 +449,6 @@
         this%sw_dn_diffuse_surf_canopy(:,istartcol:iendcol) = 0.0_jprb
         this%sw_dn_direct_surf_canopy (:,istartcol:iendcol) = 0.0_jprb
-        do jband = 1,config%n_bands_sw
-          do jalbedoband = 1,nalbedoband
+        DO jband = 1,config%n_bands_sw
+          DO jalbedoband = 1,nalbedoband
             if (config%sw_albedo_weights(jalbedoband,jband) /= 0.0_jprb) then
               ! Initially, "diffuse" is actually "total"
@@ -481,5 +481,5 @@
                &               this%lw_dn_surf_canopy, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%lw_dn_surf_g(:,jcol), &
                  &           config%i_emiss_from_band_lw(config%i_band_from_reordered_g_lw), &
@@ -495,5 +495,5 @@
                &               lw_dn_surf_band, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%lw_dn_surf_g(:,jcol), &
                  &           config%i_band_from_reordered_g_lw, &
@@ -503,6 +503,6 @@
         nalbedoband = size(config%lw_emiss_weights,1)
         this%lw_dn_surf_canopy(:,istartcol:iendcol) = 0.0_jprb
-        do jband = 1,config%n_bands_lw
-          do jalbedoband = 1,nalbedoband
+        DO jband = 1,config%n_bands_lw
+          DO jalbedoband = 1,nalbedoband
             if (config%lw_emiss_weights(jalbedoband,jband) /= 0.0_jprb) then
               this%lw_dn_surf_canopy(jalbedoband,istartcol:iendcol) &
@@ -613,5 +613,5 @@
     iend   = ubound(source,1)
 
-    do jg = istart, iend
+    DO jg = istart, iend
       ig = ind(jg)
       dest(ig) = dest(ig) + source(jg)
@@ -637,5 +637,5 @@
     iend   = ubound(source,1)
 
-    do jg = istart, iend
+    DO jg = istart, iend
       ig = ind(jg)
       dest(ig) = dest(ig) + source(jg)
@@ -657,7 +657,7 @@
     dest = 0.0
 
-    do jg = lbound(source,1), ubound(source,1)
+    DO jg = lbound(source,1), ubound(source,1)
       ig = ind(jg)
-      do jc = ist, iend
+      DO jc = ist, iend
         dest(ig,jc) = dest(ig,jc) + source(jg,jc)
       end do
@@ -680,6 +680,6 @@
     nlev   = size(source,2)
 
-    do jlev = 1,nlev
-      do jg = istart, iend
+    DO jlev = 1,nlev
+      DO jg = istart, iend
         ig = ind(jg)
         dest(ig,jlev) = dest(ig,jlev) + source(jg,jlev)
@@ -706,6 +706,6 @@
     nlev   = size(source,2)
 
-    do jlev = 1,nlev
-      do jg = istart, iend
+    DO jlev = 1,nlev
+      DO jg = istart, iend
         ig = ind(jg)
         dest(ig,jlev) = dest(ig,jlev) + source(jg,jlev)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_gas.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_gas.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_gas.F90	(revision 5158)
@@ -208,6 +208,6 @@
     this%is_well_mixed(igas) = .false.
 
-    do jk = 1,this%nlev
-      do jc = i1,i2
+    DO jk = 1,this%nlev
+      DO jc = i1,i2
         this%mixing_ratio(jc,jk,igas) = mixing_ratio(jc-i1+1,jk)
       end do
@@ -293,6 +293,6 @@
     this%is_well_mixed(igas)           = .true.
 
-    do jk = 1,this%nlev
-      do jc = i1,i2
+    DO jk = 1,this%nlev
+      DO jc = i1,i2
         this%mixing_ratio(jc,jk,igas) = mixing_ratio
       end do
@@ -396,5 +396,5 @@
       end if
     else
-      do ig = 1,this%ntype
+      DO ig = 1,this%ntype
         call this%set_units(iunits, igas=this%icode(ig), scale_factor=new_sf)
       end do
@@ -443,5 +443,5 @@
       end if
     else
-      do ig = 1,this%ntype
+      DO ig = 1,this%ntype
         call this%assert_units(iunits, igas=this%icode(ig), scale_factor=sf)
       end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_general_cloud_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_general_cloud_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_general_cloud_optics.F90	(revision 5158)
@@ -53,5 +53,5 @@
     ! Count number of cloud types
     config%n_cloud_types = 0
-    do jtype = 1,NMaxCloudTypes
+    DO jtype = 1,NMaxCloudTypes
       if (len_trim(config%cloud_type_name(jtype)) > 0) then
         config%n_cloud_types = jtype
@@ -85,5 +85,5 @@
 
     ! Load cloud optics data
-    do jtype = 1,config%n_cloud_types
+    DO jtype = 1,config%n_cloud_types
       if (config%cloud_type_name(jtype)(1:1) == '/') then
         file_name = trim(config%cloud_type_name(jtype))
@@ -191,5 +191,5 @@
 
     ! Loop over cloud types
-    do jtype = 1,config%n_cloud_types
+    DO jtype = 1,config%n_cloud_types
       ! Compute in-cloud water path
       if (config%is_homogeneous) then
@@ -238,6 +238,6 @@
     ! Scale the combined longwave optical properties
     if (config%do_lw_cloud_scattering) then
-      do jcol = istartcol, iendcol
-        do jlev = 1,nlev
+      DO jcol = istartcol, iendcol
+        DO jlev = 1,nlev
           if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
             ! Note that original cloud optics does not do
@@ -259,6 +259,6 @@
     if (config%do_sw) then
       if (.not. config%do_sw_delta_scaling_with_gases) then
-        do jcol = istartcol, iendcol
-          do jlev = 1,nlev
+        DO jcol = istartcol, iendcol
+          DO jlev = 1,nlev
             if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
               call delta_eddington_extensive(od_sw_cloud(:,jlev,jcol), &
@@ -269,6 +269,6 @@
       end if
 
-      do jcol = istartcol, iendcol
-        do jlev = 1,nlev
+      DO jcol = istartcol, iendcol
+        DO jlev = 1,nlev
           if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
             ! Scale to get asymmetry factor and single scattering albedo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_general_cloud_optics_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_general_cloud_optics_data.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_general_cloud_optics_data.F90	(revision 5158)
@@ -279,6 +279,6 @@
 
     if (present(scat_od)) then
-      do jcol = 1,ncol
-        do jlev = 1,nlev
+      DO jcol = 1,ncol
+        DO jlev = 1,nlev
           if (cloud_fraction(jcol, jlev) > 0.0_jprb) then
             re_index = max(1.0_jprb, min(1.0_jprb + (effective_radius(jcol,jlev)-this%effective_radius_0) &
@@ -301,6 +301,6 @@
     else
       ! No scattering: return the absorption optical depth
-      do jcol = 1,ncol
-        do jlev = 1,nlev
+      DO jcol = 1,ncol
+        DO jlev = 1,nlev
           if (water_path(jcol, jlev) > 0.0_jprb) then
             re_index = max(1.0, min(1.0_jprb + (effective_radius(jcol,jlev)-this%effective_radius_0) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_homogeneous_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_homogeneous_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_homogeneous_lw.F90	(revision 5158)
@@ -119,9 +119,9 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
 
       ! Is there any cloud in the profile?
       is_cloudy_profile = .false.
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (cloud%fraction(jcol,jlev) >= config%cloud_fraction_threshold) then
           is_cloudy_profile = .true.
@@ -135,5 +135,5 @@
       ! the clear-sky layers since these will be needed when we come
       ! to do the total-sky fluxes.
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (config%do_clear .or. cloud%fraction(jcol,jlev) &
              &                 < config%cloud_fraction_threshold) then
@@ -201,5 +201,5 @@
       ! now.
       if (is_cloudy_profile .or. .not. config%do_clear) then
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           ! Compute combined gas+aerosol+cloud optical properties;
           ! note that for clear layers, the reflectance and
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_homogeneous_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_homogeneous_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_homogeneous_sw.F90	(revision 5158)
@@ -123,5 +123,5 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       ! Only perform calculation if sun above the horizon
       if (single_level%cos_sza(jcol) > 0.0_jprb) then
@@ -131,5 +131,5 @@
         ! Is there any cloud in the profile?
         is_cloudy_profile = .false.
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           if (cloud%fraction(jcol,jlev) >= config%cloud_fraction_threshold) then
             is_cloudy_profile = .true.
@@ -146,5 +146,5 @@
           ! Delta-Eddington scaling has already been performed to the
           ! aerosol part of od, ssa and g
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             if (config%do_clear .or. cloud%fraction(jcol,jlev) &
                  &                 < config%cloud_fraction_threshold) then
@@ -164,5 +164,5 @@
         else
           ! Apply delta-Eddington scaling to the aerosol-gas mixture
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             if (config%do_clear .or. cloud%fraction(jcol,jlev) &
                  &                 < config%cloud_fraction_threshold) then
@@ -229,5 +229,5 @@
         ! fluxes now.
         if (is_cloudy_profile .or. .not. config%do_clear) then
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             ! Compute combined gas+aerosol+cloud optical properties;
             ! note that for clear layers, the reflectance and
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ice_optics_fu.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ice_optics_fu.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ice_optics_fu.F90	(revision 5158)
@@ -73,5 +73,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jb = 1, nb
+    DO jb = 1, nb
       od(jb) = iwp_gm_2 * (coeff(jb,1) + coeff(jb,2) * inv_de_um)
       scat_od(jb) = od(jb) * (1.0_jprb - (coeff(jb,3) + de_um*(coeff(jb,4) &
@@ -124,5 +124,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jb = 1, nb
+    DO jb = 1, nb
       od(jb) = iwp_gm_2 * (coeff(jb,1) + inv_de_um*(coeff(jb,2) &
          &  + inv_de_um*coeff(jb,3)))
